Booklinker.API

<back to all web services

PostImageRequest

Requires Authentication
The following routes are available for this service:
POST/v2/images
PostImageRequest Parameters:
NameParameterData TypeRequiredDescription
ProviderbodystringNo
ProviderImageIdbodystringNo
AttributesbodyDictionary<string, string>No
V2BaseResponse Parameters:
NameParameterData TypeRequiredDescription
ResponseStatusformResponseStatusNo

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /v2/images HTTP/1.1 
Host: api.booklinker.com 
Accept: application/json
Content-Type: application/json
Content-Length: length

{"provider":"String","providerImageId":"String","attributes":{"String":"String"}}
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

{"responseStatus":{"errorCode":"String","message":"String","stackTrace":"String","errors":[{"errorCode":"String","fieldName":"String","message":"String","meta":{"String":"String"}}],"meta":{"String":"String"}}}